"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_day = require("../../common/libraries/day.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-day-picker",
  props: [
    "Enums",
    "title",
    "pickerIndex",
    "value",
    "borderTop",
    "required",
    "valueModel",
    "icon",
    "iconSize",
    "mode"
  ],
  emits: ["change", "update:valueModel"],
  setup(__props, { emit }) {
    const props = __props;
    const selectValue = common_vendor.ref("");
    const onChange = (e) => {
      var _a, _b, _c;
      selectValue.value = (_a = e == null ? void 0 : e.detail) == null ? void 0 : _a.value;
      emit("update:valueModel", (_b = e == null ? void 0 : e.detail) == null ? void 0 : _b.value);
      emit("change", (_c = e == null ? void 0 : e.detail) == null ? void 0 : _c.value);
    };
    common_vendor.watch(
      () => props == null ? void 0 : props.valueModel,
      (val) => {
        selectValue.value = val;
      }
    );
    common_vendor.onMounted(() => {
      if (props == null ? void 0 : props.valueModel) {
        selectValue.value = props == null ? void 0 : props.valueModel;
      } else {
        selectValue.value = common_libraries_day.getDay();
        emit("update:valueModel", selectValue.value);
      }
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(selectValue.value),
        b: props == null ? void 0 : props.icon
      }, (props == null ? void 0 : props.icon) ? {
        c: common_vendor.p({
          type: props == null ? void 0 : props.icon,
          size: (props == null ? void 0 : props.iconSize) || 19,
          color: "#555"
        })
      } : {}, {
        d: (props == null ? void 0 : props.mode) || "date",
        e: common_vendor.o(onChange),
        f: common_vendor.unref(common_libraries_day.getDay)(-3),
        g: common_vendor.unref(common_libraries_day.getDay)()
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7a35584e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-day-picker/hs-day-picker.vue"]]);
wx.createComponent(Component);
